Update a contract cost allocation
curl --request PUT \
--url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/services/{serviceId}/contracts/{contractId}/contract-cost-allocations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"strategy": "bottom_up",
"totalAmountSource": "cost_master",
"paymentCycleUnit": "month",
"paymentCycleValue": 1,
"currency": "usd",
"billingMethod": "prepaid",
"note": "Lorem ipsum dolor sit amet, consectetur adipiscing elit.",
"items": [
{
"type": "license",
"allocationType": "contract_owners",
"name": "Copilot Enterprise",
"price": 1000,
"workspaceId": 1,
"peopleIds": [
1,
2,
3
]
}
]
}
'import requests
url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/services/{serviceId}/contracts/{contractId}/contract-cost-allocations/{id}"
payload = {
"strategy": "bottom_up",
"totalAmountSource": "cost_master",
"paymentCycleUnit": "month",
"paymentCycleValue": 1,
"currency": "usd",
"billingMethod": "prepaid",
"note": "Lorem ipsum dolor sit amet, consectetur adipiscing elit.",
"items": [
{
"type": "license",
"allocationType": "contract_owners",
"name": "Copilot Enterprise",
"price": 1000,
"workspaceId": 1,
"peopleIds": [1, 2, 3]
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
strategy: 'bottom_up',
totalAmountSource: 'cost_master',
paymentCycleUnit: 'month',
paymentCycleValue: 1,
currency: 'usd',
billingMethod: 'prepaid',
note: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit.',
items: [
{
type: 'license',
allocationType: 'contract_owners',
name: 'Copilot Enterprise',
price: 1000,
workspaceId: 1,
peopleIds: [1, 2, 3]
}
]
})
};
fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/services/{serviceId}/contracts/{contractId}/contract-cost-allocations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Contracts
Update a contract cost allocation
Update the cost allocation for a contract by its ID.
PUT
/
api
/
v1
/
organizations
/
{organizationId}
/
services
/
{serviceId}
/
contracts
/
{contractId}
/
contract-cost-allocations
/
{id}
Update a contract cost allocation
承認
ボディ
application/json
利用可能なオプション:
none, top_down, bottom_up 例:
"bottom_up"
利用可能なオプション:
cost_master, manual_input, dynamic_calculation 例:
"cost_master"
利用可能なオプション:
day, week, month, year 例:
"month"
例:
1
Currency of the cost
利用可能なオプション:
jpy, usd, idr 例:
"usd"
利用可能なオプション:
prepaid, postpaid 例:
"prepaid"
例:
"Lorem ipsum dolor sit amet, consectetur adipiscing elit."
Show child attributes
Show child attributes
レスポンス
200 - application/json
The response is of type object.
最終更新日 2026年8月24日
このページは役に立ちましたか?
⌘I

